Panda3D

Loading...
Searching...
No Matches
Functions
internalName.I File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

Go to the source code of this file.

## Functions
std::ostream & | operator<< (std::ostream &out, const InternalName &tcn)
| PT (InternalName) InternalName
| The public interface for constructing an InternalName pointer.
template<int N>
| PT (InternalName) InternalName
| This version of make() is defined such as to accept mostly string literals, which may be string pooled by the compiler.

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  masad

Date
  2004-07-15

Definition in file internalName.I.

## Function Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | out,
|  | const InternalName & | tcn )
| inline

Definition at line 372 of file internalName.I.

## ◆ PT() [1/2]

PT | ( | InternalName |  | ) |
| inline

The public interface for constructing an InternalName pointer.

Returns the standard InternalName "view".

Returns the standard InternalName "model".

Returns the standard InternalName "camera".

Returns the standard InternalName "world".

Returns the standard InternalName "index".

Returns an InternalName derived from the given base column name and the given slider name, which is the column header for the offset vector that should be applied to the base column name when the named morph slider is engaged.

Returns the standard InternalName "transform_index".

Returns the standard InternalName "transform_weight".

Returns the standard InternalName "transform_blend".

Returns the standard InternalName "aspect_ratio".

Returns the standard InternalName "size".

Returns the standard InternalName "rotate".

Returns the standard InternalName "color".

Returns the InternalName "texcoord.name", where name is the supplied string.

Returns the standard InternalName "texcoord".

Returns the InternalName "binormal.name", where name is the supplied string.

Returns the standard InternalName "binormal".

Returns the InternalName "tangent.name", where name is the supplied string.

Returns the standard InternalName "tangent".

Returns the standard InternalName "normal".

Returns the standard InternalName "vertex".

Returns the standard InternalName "error".

Returns the standard root InternalName.

This will return a new InternalName representing the indicated name, if this is the first time the particular name has been requested; if the name is already in use, it will return the existing pointer.

If the string contains the '.' character, the string will be divided at the dots and the so-defined hierarchy of names will be registered. This is handled transparently.

This is the root of all other InternalNames. It has no name itself, and it is the only InternalName with no parent.

This is the column header for the 3-d or 4-d vertex position information for each vertex.

This is the column header for the 3-d lighting normal for each vertex.

This is the column header for the tangent vector associated with each vertex, which is a unit vector usually perpendicular to the normal and in the direction of the U texture coordinate change. It is used for deriving bump maps.

This is the column header for the tangent associated with the named texture coordinate set.

This is the column header for the tangent vector associated with each vertex, which is a unit vector usually perpendicular to both the normal and the tangent, and in the direction of the V texture coordinate change. It is used for deriving bump maps.

This is the column header for the binormal associated with the named texture coordinate set.

This is the column header for the default texture coordinate set for each vertex. It is also used for identifying the default texture coordinate set in a TextureStage.

This is the column header for the named texture coordinate set for each vertex. It is also used for identifying the named texture coordinate set in a TextureStage.

This is the column header for the 4-component color value for each vertex.

This is the column header for the floating-point rotate value, which represents a number of degrees counter-clockwise to rotate each point or point sprite.

This is the column header for the floating-point size value, which overrides the thickness parameter of the RenderModeAttrib on a per-vertex (e.g. per-point) basis.

This is the column header for the floating-point aspect ratio value, which is used to define non- square points. This number is the ratio x / y, where y is the point size (above).

This is the column header for the integer transform_blend index, which is used to define vertex animation on the CPU by indexing to a particular vertex weighting from the TransformBlendTable.

This is the column header for the n-component transform_weight value, which is used in conjuntion with "transform_index" to define vertex animation on the graphics card. The transform_weight value specifies the weight of the nth transform. By convention, there are 1 fewer weight values than transforms, since the weights are assumed to sum to 1 (and the last value is therefore implicit).

This is the column header for the n-component transform_index value, which is used in conjuntion with "transform_weight" to define vertex animation on the graphics card. The transform_index value specifies the nth transform, by lookup in the TransformTable. The transform_index column may be omitted, in which case the nth transform is the nth entry in the table.

Each morph slider requires a set of n morph columns, one for each base column it applies to.

This is the column header for the integer vertex index. It is not used in the vertex data itself, but is used in the GeomPrimitive structure to index into the vertex data.

This is used as a keyword in the shader subsystem.

Definition at line 24 of file internalName.I.

## ◆ PT() [2/2]

template<int N>

PT | ( | InternalName |  | ) |
| inline

This version of make() is defined such as to accept mostly string literals, which may be string pooled by the compiler.

This allows us to make an additional optimization.

This constructor is also used for fixed-size arrays, since there is no neat way to catch string literals only. Presumably people aren't using InternalName in that way.

Definition at line 39 of file internalName.I.